--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/setup.ksh	Wed Aug 31 16:20:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/setup.ksh	Wed Aug 31 16:20:20 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
@@ -31,10 +35,10 @@
 # check svc:/network/nis/client:default state
 # disable it if the state is ON
 # and the state will be restored during cleanup.ksh
-log_must $RM -f $NISSTAFILE
-if [[ "ON" == $($SVCS -H -o sta svc:/network/nis/client:default) ]]; then
-    log_must $SVCADM disable -t svc:/network/nis/client:default
-    log_must $TOUCH $NISSTAFILE
+log_must rm -f $NISSTAFILE
+if [[ "ON" == $(svcs -H -o sta svc:/network/nis/client:default) ]]; then
+    log_must svcadm disable -t svc:/network/nis/client:default
+    log_must touch $NISSTAFILE
 fi
 
 cleanup_user_group
@@ -54,6 +58,6 @@
 
 DISK=${DISKS%% *}
 default_setup_noexit $DISK
-log_must $CHMOD 777 $TESTDIR
+log_must chmod 777 $TESTDIR
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_aclmode_restricted_001_neg.ksh	Wed Aug 31 16:20:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_aclmode_restricted_001_neg.ksh	Wed Aug 31 16:20:20 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 # Copyright (c) 2013 by Paul B. Henson <henson@acm.org>.
 #                    All rights reserved.
 #
@@ -52,7 +52,7 @@
 function cleanup
 {
 	# reset aclmode=discard
-	log_must $ZFS set aclmode=discard $TESTPOOL/$TESTFS
+	log_must zfs set aclmode=discard $TESTPOOL/$TESTFS
 }
 
 log_assert "Verify mode bits based chmod fails on files/directories "\
@@ -59,23 +59,23 @@
     "with non-trivial ACLs when aclmode=restricted"
 log_onexit cleanup
 
-log_must $ZFS set aclmode=restricted $TESTPOOL/$TESTFS
+log_must zfs set aclmode=restricted $TESTPOOL/$TESTFS
 
 for user in root $ZFS_ACL_STAFF1; do
 	log_must set_cur_usr $user
 
-	log_must usr_exec $MKDIR $TESTDIR/testdir
-	log_must usr_exec $TOUCH $TESTDIR/testfile
+	log_must usr_exec mkdir $TESTDIR/testdir
+	log_must usr_exec touch $TESTDIR/testfile
 
 	# Make sure ACL is non-trival
-	log_must usr_exec $CHMOD A+user:${ZFS_ACL_STAFF1}:r::allow \
+	log_must usr_exec chmod A+user:${ZFS_ACL_STAFF1}:r::allow \
 	    $TESTDIR/testdir $TESTDIR/testfile
 
-	log_mustnot usr_exec $CHMOD u-w $TESTDIR/testdir
-	log_mustnot usr_exec $CHMOD u-w $TESTDIR/testfile
+	log_mustnot usr_exec chmod u-w $TESTDIR/testdir
+	log_mustnot usr_exec chmod u-w $TESTDIR/testfile
 
-	log_must usr_exec $RMDIR $TESTDIR/testdir
-	log_must usr_exec $RM $TESTDIR/testfile
+	log_must usr_exec rmdir $TESTDIR/testdir
+	log_must usr_exec rm $TESTDIR/testfile
 done
 
 log_pass "Verify mode bits based chmod fails on files/directories "\
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_001_neg.ksh	Wed Aug 31 16:20:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_001_neg.ksh	Wed Aug 31 16:20:20 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -52,13 +56,13 @@
 
 	log_note "Illegal option to chmod should fail."
 	for A in ${A_opts[@]}; do
-		log_mustnot usr_exec $CHMOD ${A}owner@:read_data:allow $node
-		log_mustnot usr_exec $CHMOD A+ asd owner@:execute:deny $node
+		log_mustnot usr_exec chmod ${A}owner@:read_data:allow $node
+		log_mustnot usr_exec chmod A+ asd owner@:execute:deny $node
 	done
 
 	typeset type_opts="everyone groups owner user@ users"
 	for tp in ${type_opts[@]}; do
-		log_mustnot usr_exec $CHMOD A+$tp:read_data:deny $node
+		log_mustnot usr_exec chmod A+$tp:read_data:deny $node
 	done
 
 	return 0
@@ -72,9 +76,9 @@
 	cnt=$(count_ACE $node)
 	while (( cnt > 0 )); do
 		if (( cnt == 1 )); then
-			log_mustnot $CHMOD A0- $node
+			log_mustnot chmod A0- $node
 		else
-			log_must $CHMOD A0- $node
+			log_must chmod A0- $node
 		fi
 
 		(( cnt -= 1 ))
@@ -95,9 +99,9 @@
 	(( max = max - cnt + 1 ))
 	while (( max > 0 )); do
 		if (( max == 1 )); then
-			log_mustnot $CHMOD A+owner@:read_data:allow $node
+			log_mustnot chmod A+owner@:read_data:allow $node
 		else
-			$CHMOD A+owner@:read_data:allow $node
+			chmod A+owner@:read_data:allow $node
 			if (($? != 0)); then
 				((cnt = 1024 - max))
 				log_fail "Add No.$cnt ACL item failed."
@@ -117,14 +121,14 @@
 	log_must set_cur_usr $usr
 
 	for node in $testfile $testdir; do
-		log_must usr_exec $TOUCH $testfile
-		log_must usr_exec $MKDIR $testdir
+		log_must usr_exec touch $testfile
+		log_must usr_exec mkdir $testdir
 
 		for func in $func_name; do
 			log_must eval "$func $node"
 		done
 
-		log_must usr_exec $RM -rf $testfile $testdir
+		log_must usr_exec rm -rf $testfile $testdir
 	done
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_002_pos.ksh	Wed Aug 31 16:20:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_002_pos.ksh	Wed Aug 31 16:20:20 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -41,7 +45,7 @@
 
 function acl_upgrade_cleannup
 {
-	log_must $ZFS destroy -rR $ACL_UPGRADE_FS
+	log_must zfs destroy -rR $ACL_UPGRADE_FS
 }
 
 log_assert "Verify acl after upgrading."
@@ -49,13 +53,13 @@
 
 ACL_UPGRADE_FS=$TESTPOOL/acl_upgrade_fs.$$
 
-log_must $ZFS create -o version=2 $ACL_UPGRADE_FS
+log_must zfs create -o version=2 $ACL_UPGRADE_FS
 mntpnt=$(get_prop mountpoint $ACL_UPGRADE_FS)
-log_must $MKDIR $mntpnt/dir.$$
-log_must $CHMOD A+owner@:rwxp:f:allow,group@:rwxp:f:allow $mntpnt/dir.$$
-log_must $ZFS upgrade $ACL_UPGRADE_FS
-log_must $TOUCH $mntpnt/dir.$$/file.$$
-log_must eval "$LS -V $mntpnt/dir.$$/file.$$ > /dev/null 2>&1"
+log_must mkdir $mntpnt/dir.$$
+log_must chmod A+owner@:rwxp:f:allow,group@:rwxp:f:allow $mntpnt/dir.$$
+log_must zfs upgrade $ACL_UPGRADE_FS
+log_must touch $mntpnt/dir.$$/file.$$
+log_must eval "ls -V $mntpnt/dir.$$/file.$$ > /dev/null 2>&1"
 
 log_pass "Verify acl after upgrading."
 
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_aclmode_001_pos.ksh	Wed Aug 31 16:20:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_aclmode_001_pos.ksh	Wed Aug 31 16:20:20 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -52,8 +52,8 @@
 {
 	(( ${#cwd} != 0 )) && cd $cwd
 
-	[[ -f $TARFILE ]] && log_must $RM -f $TARFILE
-	[[ -d $basedir ]] && log_must $RM -rf $basedir
+	[[ -f $TARFILE ]] && log_must rm -f $TARFILE
+	[[ -d $basedir ]] && log_must rm -rf $basedir
 }
 
 log_assert "Verify chmod have correct behaviour to directory and file when" \
@@ -187,7 +187,7 @@
 
 	tmpstr=${tmpstr#/}
 
-	$ECHO "$tmpstr"
+	echo "$tmpstr"
 }
 
 #
@@ -211,7 +211,7 @@
 		action=${acl##*:}
 		acl=$prefix:$(cal_bits $isdir 7 7 $acl 0):$action
 	fi
-	$ECHO "$acl"
+	echo "$acl"
 }
 
 #
@@ -266,7 +266,7 @@
 		fi
 	fi
 	new_acl=${new_acl}${dc}
-	$ECHO "$new_acl"
+	echo "$new_acl"
 }
 
 function build_new_acl # newmode isdir
@@ -285,7 +285,7 @@
 		status=$(check_new_acl $bit $newmode $isdir)
 	fi
 	expect=$prefix$status:deny
-	$ECHO $expect
+	echo $expect
 }
 
 # According to inherited flag, verify subdirectories and files within it has
@@ -441,7 +441,7 @@
 			aclcur=$(get_ACE $node $count)
 			aclcur=${aclcur#$count:}
 			if [[ -n $expect1 && $expect1 != $aclcur ]]; then
-				$LS -vd $node
+				ls -vd $node
 				log_fail "$aclmode $i #$count " \
 					"ACE: $aclcur, expect to be " \
 					"$expect1"
@@ -463,7 +463,7 @@
 		fi
 
 		if [[ $? -ne 0 ]]; then
-			$LS -vd $node
+			ls -vd $node
 			log_fail "Unexpect acl: $node, $aclmode ($newmode)"
 		fi
 	fi
@@ -480,17 +480,17 @@
 cd $TESTDIR
 
 for mode in "${aclmode_flag[@]}"; do
-	log_must $ZFS set aclmode=$mode $TESTPOOL/$TESTFS
+	log_must zfs set aclmode=$mode $TESTPOOL/$TESTFS
 
 	for user in root $ZFS_ACL_STAFF1; do
 		log_must set_cur_usr $user
 
-		log_must usr_exec $MKDIR $basedir
+		log_must usr_exec mkdir $basedir
 
-		log_must usr_exec $MKDIR $odir
-		log_must usr_exec $TOUCH $ofile
-		log_must usr_exec $MKDIR $ndir
-		log_must usr_exec $TOUCH $nfile
+		log_must usr_exec mkdir $odir
+		log_must usr_exec touch $ofile
+		log_must usr_exec mkdir $ndir
+		log_must usr_exec touch $nfile
 
 		for obj in $allnodes; do
 			maxnumber=0
@@ -507,7 +507,7 @@
 						;;
 					esac
 
-					log_must usr_exec $CHMOD A+$acl $obj
+					log_must usr_exec chmod A+$acl $obj
 					acls[$maxnumber]=$acl
 
 					((maxnumber = maxnumber + 1))
@@ -514,7 +514,7 @@
 				done
 			done
 			# Archive the file and directory
-			log_must $TAR cpf@ $TARFILE $basedir
+			log_must tar cpf@ $TARFILE $basedir
 
 			if [[ -d $obj ]]; then
 				target=$odir
@@ -522,14 +522,14 @@
 				target=$ofile
 			fi
 			for newmode in "${argv[@]}"; do
-				log_must usr_exec $CHMOD $newmode $obj
-				log_must usr_exec $CHMOD $newmode $target
+				log_must usr_exec chmod $newmode $obj
+				log_must usr_exec chmod $newmode $target
 				log_must verify_aclmode $mode $obj $newmode
-				log_must $TAR xpf@ $TARFILE
+				log_must tar xpf@ $TARFILE
 			done
 		done
 
-		log_must usr_exec $RM -rf $basedir $TARFILE
+		log_must usr_exec rm -rf $basedir $TARFILE
 	done
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_compact_001_pos.ksh	Wed Aug 31 16:20:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_compact_001_pos.ksh	Wed Aug 31 16:20:20 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
@@ -199,28 +199,28 @@
 	typeset cur_ace=/tmp/cur_ace.$$
 
 	for operator in "A0+" "A0="; do
-		log_must usr_exec eval "$LS -Vd $node > $orig_ace"
+		log_must usr_exec eval "ls -Vd $node > $orig_ace"
 
 		# To "A=", firstly add one ACE which can't modify map
 		if [[ $operator == "A0=" ]]; then
-			log_must $CHMOD A0+user:$ZFS_ACL_OTHER1:execute:deny \
+			log_must chmod A0+user:$ZFS_ACL_OTHER1:execute:deny \
 			    $node
 		fi
-		log_must usr_exec $CHMOD ${operator}${acl_spec} $node
+		log_must usr_exec chmod ${operator}${acl_spec} $node
 
 		check_test_result "$node" "$acl_flag" "$acl_access" \
 		    "$acl_inherit_object" "$acl_inherit_strategy" "$acl_type"
 
 		# Check "chmod A-"
-		log_must usr_exec $CHMOD A0- $node
-		log_must usr_exec eval "$LS -Vd $node > $cur_ace"
+		log_must usr_exec chmod A0- $node
+		log_must usr_exec eval "ls -Vd $node > $cur_ace"
 
-		$DIFF $orig_ace $cur_ace
+		diff $orig_ace $cur_ace
 		[[ $? -ne 0 ]] && log_fail "FAIL: 'chmod A-' failed."
 	done
 
-	[[ -f $orig_ace ]] && log_must usr_exec $RM -f $orig_ace
-	[[ -f $cur_ace ]] && log_must usr_exec $RM -f $cur_ace
+	[[ -f $orig_ace ]] && log_must usr_exec rm -f $orig_ace
+	[[ -f $cur_ace ]] && log_must usr_exec rm -f $cur_ace
 }
 
 for user in root $ZFS_ACL_STAFF1; do
@@ -228,13 +228,13 @@
 
 	typeset -i loop_cnt=2
 	while ((loop_cnt > 0)); do
-		log_must usr_exec $TOUCH $testfile
+		log_must usr_exec touch $testfile
 		test_chmod_map $testfile
-		log_must $RM -f $testfile
+		log_must rm -f $testfile
 
-		log_must usr_exec $MKDIR $testdir
+		log_must usr_exec mkdir $testdir
 		test_chmod_map $testdir
-		log_must $RM -rf $testdir
+		log_must rm -rf $testdir
 
 		((loop_cnt -= 1))
 	done
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_delete_001_pos.ksh	Wed Aug 31 16:20:20 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_delete_001_pos.ksh	Wed Aug 31 16:20:20 2016
@@ -62,13 +62,13 @@
 function cleanup
 {
 	if [[ ! -e $target ]]; then
-		log_must $TAR xpf $TESTDIR/$ARCHIVEFILE
+		log_must tar xpf $TESTDIR/$ARCHIVEFILE
 	fi
 
 	(( ${#cwd} != 0 )) && cd $cwd
 	cleanup_test_files $TESTDIR/basedir
 	if [[ -e $TESTDIR/$ARCHIVEFILE ]]; then
-		log_must $RM -f $TESTDIR/$ARCHIVEFILE
+		log_must rm -f $TESTDIR/$ARCHIVEFILE
 	fi
 	return 0
 }
@@ -107,9 +107,9 @@
 		log_fail "user, node are not defined."
 	fi
 	if [[ -d $node ]]; then
-		chgusr_exec $user $RM -rf $node ; ret=$?
+		chgusr_exec $user rm -rf $node ; ret=$?
 	else
-		chgusr_exec $user $RM -f $node ; ret=$?
+		chgusr_exec $user rm -f $node ; ret=$?
 	fi
 
 	if [[ -e $node ]]; then
@@ -118,7 +118,7 @@
 			return 1
 		fi
 	else
-		log_must $TAR xpf $TESTDIR/$ARCHIVEFILE
+		log_must tar xpf $TESTDIR/$ARCHIVEFILE
 		if [[ $ret -ne 0 ]]; then
 			log_note "$node removed, but return code is $ret."
 			return 1
@@ -206,25 +206,25 @@
 	for acl_p in "${access_parent[@]}"; do
 		i=0
 		for acl in $acl_p ; do
-			log_must usr_exec $CHMOD A+$flag:$acl $parent
+			log_must usr_exec chmod A+$flag:$acl $parent
 			(( i = i + 1))
 		done
 
 		for acl_t in "${access_target[@]}"; do
 			[[ -n $acl_t ]] && \
-				log_must usr_exec $CHMOD A+$flag:$acl_t $node
+				log_must usr_exec chmod A+$flag:$acl_t $node
 
-			log_must $TAR cpf $TESTDIR/$ARCHIVEFILE basedir
+			log_must tar cpf $TESTDIR/$ARCHIVEFILE basedir
 
 			check_chmod_results "$node" "$flag" \
 				 "$acl_p" "$acl_t" "$g_usr" "$o_usr"
 
 			[[ -n $acl_t ]] && \
-				log_must usr_exec $CHMOD A0- $node
+				log_must usr_exec chmod A0- $node
 		done
 
 		while (( i > 0 )); do
-			log_must usr_exec $CHMOD A0- $parent
+			log_must usr_exec chmod A0- $parent
 			(( i = i - 1 ))
 		done
 	done
@@ -239,8 +239,8 @@
 
 	cleanup_test_files $base_node
 
-	log_must $MKDIR -p $base_node
-	log_must $CHOWN $user:$group $base_node
+	log_must mkdir -p $base_node
+	log_must chown $user:$group $base_node
 
 	log_must set_cur_usr $user
 
@@ -248,13 +248,13 @@
 	file0=$base_node/testfile_rm
 	dir0=$base_node/testdir_rm
 
-	log_must usr_exec $TOUCH $file0
-	log_must usr_exec $CHMOD 444 $file0
+	log_must usr_exec touch $file0
+	log_must usr_exec chmod 444 $file0
 
-	log_must usr_exec $MKDIR -p $dir0
-	log_must usr_exec $CHMOD 444 $dir0
+	log_must usr_exec mkdir -p $dir0
+	log_must usr_exec chmod 444 $dir0
 
-	log_must usr_exec $CHMOD 555 $base_node
+	log_must usr_exec chmod 555 $base_node
 	return 0
 }
 
@@ -263,9 +263,9 @@
 	typeset base_node=$1
 
 	if [[ -d $base_node ]]; then
-		log_must $RM -rf $base_node
+		log_must rm -rf $base_node
 	elif [[ -e $base_node ]]; then
-		log_must $RM -f $base_node
+		log_must rm -f $base_node
 	fi
 
 	return 0
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_inherit_001_pos.ksh	Wed Aug 31 16:20:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_inherit_001_pos.ksh	Wed Aug 31 16:20:21 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -62,10 +66,10 @@
 function cleanup
 {
 	if [[ -f $basefile ]]; then
-		log_must $RM -f $basefile
+		log_must rm -f $basefile
 	fi
 	if [[ -d $basedir ]]; then
-		log_must $RM -rf $basedir
+		log_must rm -rf $basedir
 	fi
 }
 
@@ -103,8 +107,8 @@
 	typeset obj=$1
 	typeset str=$2
 
-	log_must usr_exec $MKDIR -p $ndir3
-	log_must usr_exec $TOUCH $nfile1 $nfile2 $nfile3
+	log_must usr_exec mkdir -p $ndir3
+	log_must usr_exec touch $nfile1 $nfile2 $nfile3
 
 	# Except for inherit_only, the basedir was affected always.
 	if [[ $str != *"inherit_only"* ]]; then
@@ -129,10 +133,10 @@
 
 	for node in $allnodes; do
 		if [[ " $inherit_nodes " == *" $node "* ]]; then
-			log_mustnot chgusr_exec $ZFS_ACL_OTHER1 $LS -vd $node \
+			log_mustnot chgusr_exec $ZFS_ACL_OTHER1 ls -vd $node \
 				> /dev/null 2>&1
 		else
-			log_must chgusr_exec $ZFS_ACL_OTHER1 $LS -vd $node \
+			log_must chgusr_exec $ZFS_ACL_OTHER1 ls -vd $node \
 				> /dev/null 2>&1
 		fi
 	done
@@ -147,25 +151,25 @@
 			(( ${#str} != 0 )) && inh_opt=$inh_opt/$str
 			aclspec="A+user:$ZFS_ACL_OTHER1:read_acl:$inh_opt:deny"
 
-			log_must usr_exec $MKDIR $basedir
-			log_must usr_exec $TOUCH $basefile
-			log_must usr_exec $MKDIR -p $odir3
-			log_must usr_exec $TOUCH $ofile1 $ofile2 $ofile3
+			log_must usr_exec mkdir $basedir
+			log_must usr_exec touch $basefile
+			log_must usr_exec mkdir -p $odir3
+			log_must usr_exec touch $ofile1 $ofile2 $ofile3
 
 			#
 			# Inherit flag can only be placed on a directory,
 			# otherwise it will fail.
 			#
-			log_must usr_exec $CHMOD $aclspec $basefile
+			log_must usr_exec chmod $aclspec $basefile
 
 			#
 			# Place on a directory should succeed.
 			#
-			log_must usr_exec $CHMOD $aclspec $basedir
+			log_must usr_exec chmod $aclspec $basedir
 
 			verify_inherit $obj $str
 
-			log_must usr_exec $RM -rf $basefile $basedir
+			log_must usr_exec rm -rf $basefile $basedir
 		done
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_inherit_002_neg.ksh	Wed Aug 31 16:20:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_inherit_002_neg.ksh	Wed Aug 31 16:20:21 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -61,11 +61,11 @@
 
 function cleanup
 {
-	[[ -f $ofile ]] && log_must $RM -f $ofile
-	[[ -d $odir ]] && log_must $RM -rf $odir
-	[[ -d $basedir ]] && log_must $RM -rf $basedir
+	[[ -f $ofile ]] && log_must rm -f $ofile
+	[[ -d $odir ]] && log_must rm -rf $odir
+	[[ -d $basedir ]] && log_must rm -rf $basedir
 
-	log_must $ZFS set aclmode=discard $TESTPOOL/$TESTFS
+	log_must zfs set aclmode=discard $TESTPOOL/$TESTFS
 }
 
 log_assert "Verify different inherit options combined with different" \
@@ -109,8 +109,8 @@
 	# isinherit: indicate if the current target is in the inherit list.
 	typeset -i count=0 pass=0 passcnt=0 isinherit=0 no_propagate=0
 
-	log_must usr_exec $MKDIR -p $ndir3
-	log_must usr_exec $TOUCH $nfile1 $nfile2 $nfile3
+	log_must usr_exec mkdir -p $ndir3
+	log_must usr_exec touch $nfile1 $nfile2 $nfile3
 
 	# Get the inherit type/object_flag and non-inherited nodes.
 	if [[ $obj == *"file_inherit"* && $obj == *"dir_inherit"* ]]; then
@@ -192,8 +192,8 @@
 				aclcur=${aclcur#$count:}
 				if [[ $no_propagate == 0 ]]; then
 					if [[ $expacl != $aclcur ]]; then
-						$LS -vd $basedir
-						$LS -vd $node
+						ls -vd $basedir
+						ls -vd $node
 						log_fail "$inherit $i #$count" \
 						    "ACE: $aclcur," \
 						    "expected: $expacl"
@@ -202,8 +202,8 @@
 					# Compare if directory has trivial ACL
 					compare_acls $node $odir
 					if [[ $? -ne 0 ]]; then
-						$LS -vd $basedir
-						$LS -vd $node
+						ls -vd $basedir
+						ls -vd $node
 						log_fail "unexpected ACE:"
 						    "$node, $inherit ($str)"
 					fi
@@ -212,8 +212,8 @@
 			elif [[ -f $node ]]; then
 				compare_acls $node $ofile
 				if [[ $? -ne 0 ]]; then
-					$LS -vd $basedir
-					$LS -vd $node
+					ls -vd $basedir
+					ls -vd $node
 					log_fail "unexpected ACE:" \
 					    "$node, $inherit ($str)"
 				fi
@@ -231,8 +231,8 @@
 			fi
 
 			if [[ $? -ne 0 ]]; then
-				$LS -vd $basedir
-				$LS -vd $node
+				ls -vd $basedir
+				ls -vd $node
 				log_fail "Unexpected ACE: $node, $inherit ($str)"
 			fi
 		fi
@@ -243,10 +243,10 @@
 typeset acl0 acl1 acl2 acl3
 typeset acls0 acls1 acls2 acls3
 
-log_must $ZFS set aclmode=passthrough $TESTPOOL/$TESTFS
+log_must zfs set aclmode=passthrough $TESTPOOL/$TESTFS
 
 for inherit in "${aclinherit_flag[@]}"; do
-	log_must $ZFS set aclinherit=$inherit $TESTPOOL/$TESTFS
+	log_must zfs set aclinherit=$inherit $TESTPOOL/$TESTFS
 
 	for user in root $ZFS_ACL_STAFF1; do
 		log_must set_cur_usr $user
@@ -276,21 +276,21 @@
 				# Create basedir and tmp dir/file
 				# for comparison.
 				#
-				log_note "$user: $CHMOD $acl $basedir"
-				log_must usr_exec $MKDIR $basedir
-				log_must usr_exec $MKDIR $odir
-				log_must usr_exec $TOUCH $ofile
+				log_note "$user: chmod $acl $basedir"
+				log_must usr_exec mkdir $basedir
+				log_must usr_exec mkdir $odir
+				log_must usr_exec touch $ofile
 
 				i=3
 				while ((i >= 0)); do
 					eval acl=\$acl$i
-					log_must usr_exec $CHMOD A+$acl $basedir
+					log_must usr_exec chmod A+$acl $basedir
 					((i = i - 1))
 				done
 				log_note "verify_inherit $inherit $obj $str"
 				log_must verify_inherit $inherit $obj $str
 
-				log_must usr_exec $RM -rf $ofile $odir $basedir
+				log_must usr_exec rm -rf $ofile $odir $basedir
 			done
 		done
 	done
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_inherit_002_pos.ksh	Wed Aug 31 16:20:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_inherit_002_pos.ksh	Wed Aug 31 16:20:21 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
@@ -67,15 +67,15 @@
 	# Cleanup basedir, compared file and dir.
 
 	if [[ -f $ofile ]]; then
-		log_must $RM -f $ofile
+		log_must rm -f $ofile
 	fi
 
 	for dir in $odir $basedir ; do
 		if [[ -d $dir ]]; then
-			log_must $RM -rf $dir
+			log_must rm -rf $dir
 		fi
 	done
-	log_must $ZFS set aclmode=discard $TESTPOOL/$TESTFS
+	log_must zfs set aclmode=discard $TESTPOOL/$TESTFS
 }
 
 log_assert "Verify chmod have correct behaviour to directory and file when " \
@@ -122,8 +122,8 @@
 
 	typeset -i count=0 pass=0 passcnt=0 isinherit=0 maxnumber=4
 
-	log_must usr_exec $MKDIR -p $ndir3
-	log_must usr_exec $TOUCH $nfile1 $nfile2 $nfile3
+	log_must usr_exec mkdir -p $ndir3
+	log_must usr_exec touch $nfile1 $nfile2 $nfile3
 
 	# Get the files which inherited ACE.
 	if [[ $obj == *"file_inherit"* ]]; then
@@ -238,8 +238,8 @@
 				aclcur=$(get_ACE $node $count)
 				aclcur=${aclcur#$count:}
 				if [[ -n $expect1 && $expect1 != $aclcur ]]; then
-					$LS -vd $basedir
-					$LS -vd $node
+					ls -vd $basedir
+					ls -vd $node
 					log_fail "$inherit $i #$count " \
 						"ACE: $aclcur, expect to be " \
 						"$expect1"
@@ -263,8 +263,8 @@
 			fi
 
 			if [[ $? -ne 0 ]]; then
-				$LS -vd $basedir
-				$LS -vd $node
+				ls -vd $basedir
+				ls -vd $node
 				log_fail "Unexpect acl: $node, $inherit ($str)"
 			fi
 		fi
@@ -283,7 +283,7 @@
 # here we just simple test them separately.
 #
 
-log_must $ZFS set aclmode=passthrough $TESTPOOL/$TESTFS
+log_must zfs set aclmode=passthrough $TESTPOOL/$TESTFS
 
 for inherit in "${aclinherit_flag[@]}"; do
 
@@ -291,7 +291,7 @@
 	# Set different value of aclinherit
 	#
 
-	log_must $ZFS set aclinherit=$inherit $TESTPOOL/$TESTFS
+	log_must zfs set aclinherit=$inherit $TESTPOOL/$TESTFS
 
 	for user in root $ZFS_ACL_STAFF1; do
 		log_must set_cur_usr $user
@@ -329,10 +329,10 @@
 				# for comparison.
 				#
 
-				log_note "$user: $CHMOD $acl $basedir"
-				log_must usr_exec $MKDIR $basedir
-				log_must usr_exec $MKDIR $odir
-				log_must usr_exec $TOUCH $ofile
+				log_note "$user: chmod $acl $basedir"
+				log_must usr_exec mkdir $basedir
+				log_must usr_exec mkdir $odir
+				log_must usr_exec touch $ofile
 
 				i=3
 				while ((i >= 0)); do
@@ -341,7 +341,7 @@
 				#
 				# Place on a directory should succeed.
 				#
-					log_must usr_exec $CHMOD A+$acl $basedir
+					log_must usr_exec chmod A+$acl $basedir
 
 					((i = i - 1))
 				done
@@ -348,7 +348,7 @@
 
 				verify_inherit $inherit $obj $str
 
-				log_must usr_exec $RM -rf $ofile $odir $basedir
+				log_must usr_exec rm -rf $ofile $odir $basedir
 			done
 		done
 	done
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_inherit_003_pos.ksh	Wed Aug 31 16:20:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_inherit_003_pos.ksh	Wed Aug 31 16:20:21 2016
@@ -60,9 +60,9 @@
 
 function cleanup
 {
-	[[ -f $ofile ]] && log_must $RM -f $ofile
-	[[ -d $odir ]] && log_must $RM -rf $odir
-	[[ -d $basedir ]] && log_must $RM -rf $basedir
+	[[ -f $ofile ]] && log_must rm -f $ofile
+	[[ -d $odir ]] && log_must rm -rf $odir
+	[[ -d $basedir ]] && log_must rm -rf $basedir
 }
 
 log_assert "Verify chmod have correct behaviour to directory and file when" \
@@ -98,8 +98,8 @@
 	typeset obj=$2
 	typeset str=$3
 
-	log_must usr_exec $MKDIR -p $ndir3
-	log_must usr_exec $TOUCH $nfile1 $nfile2 $nfile3
+	log_must usr_exec mkdir -p $ndir3
+	log_must usr_exec touch $nfile1 $nfile2 $nfile3
 
 	# Check if we have any inheritance flags set
 	if [[ $obj != "--" ]]; then
@@ -189,8 +189,8 @@
 			aclcur=$(get_ACE $node $count compact)
 			aclcur=${aclcur#$count:}
 			if [[ -n $expacl && $expacl != $aclcur ]]; then
-				$LS -Vd $basedir
-				$LS -Vd $node
+				ls -Vd $basedir
+				ls -Vd $node
 				log_fail "$inherit $i #$count" \
 				    "expected: $expacl, current: $aclcur"
 			fi
@@ -208,8 +208,8 @@
 			fi
 
 			if [[ $? -ne 0 ]]; then
-				$LS -Vd $basedir
-				$LS -Vd $node
+				ls -Vd $basedir
+				ls -Vd $node
 				log_fail "unexpected acl: $node," \
 				    "$inherit ($str)"
 			fi
@@ -222,10 +222,10 @@
 typeset acl0 acl1 acl2 acl3 acl4 acl5
 typeset acls0 acls1 acls2 acls3 acls4 acls5
 
-log_must $ZFS set aclmode=passthrough $TESTPOOL/$TESTFS
+log_must zfs set aclmode=passthrough $TESTPOOL/$TESTFS
 
 for inherit in "${aclinherit_flag[@]}"; do
-	log_must $ZFS set aclinherit=$inherit $TESTPOOL/$TESTFS
+	log_must zfs set aclinherit=$inherit $TESTPOOL/$TESTFS
 
 	for user in root $ZFS_ACL_STAFF1; do
 		log_must set_cur_usr $user
@@ -255,20 +255,20 @@
 				acls4="$ace_prefix2:-------A-W----:$inh_b:allow"
 				acls5="$ace_prefix3:-------A-W----:$inh_b:deny"
 
-				log_must usr_exec $MKDIR $basedir
-				log_must usr_exec $MKDIR $odir
-				log_must usr_exec $TOUCH $ofile
+				log_must usr_exec mkdir $basedir
+				log_must usr_exec mkdir $odir
+				log_must usr_exec touch $ofile
 
 				((i = maxaces - 1))
 				while ((i >= 0)); do
 					eval acl=\$acl$i
-					log_must usr_exec $CHMOD A+$acl $basedir
+					log_must usr_exec chmod A+$acl $basedir
 					((i = i - 1))
 				done
 
 				verify_inherit $inherit $obj $str
 
-				log_must usr_exec $RM -rf $ofile $odir $basedir
+				log_must usr_exec rm -rf $ofile $odir $basedir
 			done
 		done
 	done
--- old/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_inherit_004_pos.ksh	Wed Aug 31 16:20:21 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/nontrivial/zfs_acl_chmod_inherit_004_pos.ksh	Wed Aug 31 16:20:21 2016
@@ -25,7 +25,7 @@
 # Use is subject to license terms.
 #
 
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -46,7 +46,7 @@
 
 function cleanup
 {
-	[[ -d $basedir ]] && log_must $RM -rf $basedir
+	[[ -d $basedir ]] && log_must rm -rf $basedir
 }
 
 log_assert "aclinherit=passthrough-x should inherit the execute permission" \
@@ -82,28 +82,28 @@
 {
 	typeset -i i=0
 
-	log_must usr_exec $MKDIR $basedir
+	log_must usr_exec mkdir $basedir
 
 	# Modify owner@, group@ and everyone@ ACEs to include execute
 	# permission (see above), and make them file-inheritable
 	while ((i < ${#aces[*]})); do
-		log_must usr_exec $CHMOD A$i=${aces[i]} $basedir
+		log_must usr_exec chmod A$i=${aces[i]} $basedir
 		((i = i + 1))
 	done
 
 	# Create file with 644 mode
-	log_must usr_exec $TOUCH $nfile1
+	log_must usr_exec touch $nfile1
 	# Check that execute permission wasn't inherited
 	log_mustnot check_execute_bit $nfile1
 
 	# Use cp(1) to copy over /usr/bin/true
-	log_must usr_exec $CP $TRUE $nfile2
+	log_must usr_exec cp /usr/bin/true $nfile2
 	# Check that execute permission was inherited
 	log_must check_execute_bit $nfile2
 }
 
-log_must $ZFS set aclmode=passthrough $TESTPOOL/$TESTFS
-log_must $ZFS set aclinherit=passthrough-x $TESTPOOL/$TESTFS
+log_must zfs set aclmode=passthrough $TESTPOOL/$TESTFS
+log_must zfs set aclinherit=passthrough-x $TESTPOOL/$TESTFS
 
 for user in root $ZFS_ACL_STAFF1; do
 	log_must set_cur_usr $user
